#ifndef BILLYSHEET_CHARACTER_SHEET_HPP
#define BILLYSHEET_CHARACTER_SHEET_HPP

#include "characteristic/adresse.hpp"
#include "characteristic/endurance.hpp"
#include "characteristic/chance.hpp"
#include "characteristic/habilete.hpp"
#include <random>

namespace character {
	class CharacterSheet final {
	private:
		std::mt19937_64 engine{ std::random_device{ "rdseed" }() };

		std::string caractere{};

		characteristic::Adresse adresse;

		characteristic::Endurance endurance;

		characteristic::Chance chance;

		characteristic::Habilete habilete;

		std::uint32_t health_point{ 0 };

		std::uint32_t armor{ 0 };

		std::uint32_t damage{ 0 };

		std::uint32_t glory{ 0 };

		std::uint32_t money{ 0 };
	public:
		CharacterSheet() = default;

		~CharacterSheet() noexcept = default;
	};
}


#endif //BILLYSHEET_CHARACTER_SHEET_HPP
